CREATE VIEW JAVA_REVIEW.Warehouse_Opts AS
	SELECT WAREHOUSE_NAME, WAREHOUSE_ID FROM JAVA_REVIEW.WAREHOUSES;

CREATE VIEW JAVA_REVIEW.Location_Opts AS
	SELECT LOCATION_ID, ADDRESS, POSTAL_CODE, CITY, STATE FROM JAVA_REVIEW.LOCATIONS;

CREATE VIEW JAVA_REVIEW.Country_Opts AS
	SELECT country_id, country_name FROM JAVA_REVIEW.COUNTRIES;

CREATE VIEW JAVA_REVIEW.Region_Opts AS
	SELECT region_id, region_name FROM JAVA_REVIEW.REGIONS;


CREATE PROCEDURE JAVA_REVIEW.WarehouseOpts @WarehouseId AS
	SELECT WAREHOUSE_NAME, WAREHOUSE_ID FROM JAVA_REVIEW.WAREHOUSES
	WHERE warehouse_id = @WarehouseId;